.scroll-to-top {
  @include reset-button;
  @include size(3rem, 3rem);

  position: fixed;
  bottom: 3rem;
  right: 3rem;
  z-index: 1;

  border: 1px solid var(--primary-font-color);

  cursor: pointer;

  &__arrow {
    @include size(1.5rem, 0.75rem);
    @include absolute-center;
    stroke: var(--primary-font-color);
  }
}

// PHONE
@include phone {
  .scroll-to-top {
    bottom: 2.5rem;
    right: 1.5rem;
    @include size(1.5rem, 1.5rem);

    &__arrow {
      @include size(0.8rem, 0.4rem);
    }
  }
}
